return: text
lang: plpgsql
src: |
  BEGIN

        -- pmsi.cti_creer_vues_materialisees()
        IF NOT EXISTS (SELECT * FROM pg_matviews WHERE schemaname = 'pmsi' AND matviewname IN ('v_rss_1', 'v_rss_base', 'v_rss_7', 'v_rss_8', 'v_rsf_detail_rum_1', 'v_rss_rum_2')) THEN
          RAISE NOTICE '%','Certaine(s) vue(s) matérialisée(s) ne sont pas crÃ©Ã©es : v_rss_1, v_rss_7, v_rss_8, v_rsf_detail_rum_1, v_rss_rum_2';
          PERFORM pmsi.cti_creer_vues_materialisees();
        END IF;

        IF NOT EXISTS (SELECT * FROM pg_matviews WHERE schemaname = 'pmsi' AND matviewname = 'v_rss_1') THEN
            RETURN 'La vue matérialisée pmsi.v_rss_1 est introuvable.';
        END IF;
        RAISE NOTICE '%','Rafraichissement de la vue matérialisée pmsi.v_rss_1';
        REFRESH MATERIALIZED VIEW pmsi.v_rss_1
        ;
        ANALYSE pmsi.v_rss_1
        ;

        IF NOT EXISTS (SELECT * FROM pg_matviews WHERE schemaname = 'pmsi' AND matviewname = 'v_rss_7') THEN
            RETURN 'La vue matérialisée pmsi.v_rss_7 est introuvable.';
        END IF;
        RAISE NOTICE '%','Rafraichissement de la vue matérialisée pmsi.v_rss_7';
        REFRESH MATERIALIZED VIEW pmsi.v_rss_7
        ;
        ANALYSE pmsi.v_rss_7
        ;

        IF NOT EXISTS (SELECT * FROM pg_matviews WHERE schemaname = 'pmsi' AND matviewname = 'v_rss_8') THEN
            RETURN 'La vue matérialisée pmsi.v_rss_8 est introuvable.';
        END IF;
        RAISE NOTICE '%','Rafraichissement de la vue matérialisée pmsi.v_rss_8';
        REFRESH MATERIALIZED VIEW pmsi.v_rss_8
        ;
        ANALYSE pmsi.v_rss_8
        ;

        IF NOT EXISTS (SELECT * FROM pg_matviews WHERE schemaname = 'pmsi' AND matviewname = 'v_rss_base') THEN
            RETURN 'La vue matérialisée pmsi.v_rss_base est introuvable.';
        END IF;
        RAISE NOTICE '%','Rafraichissement de la vue matérialisée pmsi.v_rss_base';
        REFRESH MATERIALIZED VIEW pmsi.v_rss_base
        ;
        ANALYSE pmsi.v_rss_base
        ;

        IF NOT EXISTS (SELECT * FROM pg_matviews WHERE schemaname = 'pmsi' AND matviewname = 'v_rsf_detail_rum_1') THEN
            RETURN 'La vue matérialisée pmsi.v_rsf_detail_rum_1 est introuvable.';
        END IF;
        RAISE NOTICE '%','Rafraichissement de la vue matérialisée pmsi.v_rsf_detail_rum_1';
        REFRESH MATERIALIZED VIEW pmsi.v_rsf_detail_rum_1
        ;
        ANALYSE pmsi.v_rsf_detail_rum_1
        ;

        IF NOT EXISTS (SELECT * FROM pg_matviews WHERE schemaname = 'pmsi' AND matviewname = 'v_rss_rum_2') THEN
            RETURN 'La vue matérialisée pmsi.v_rss_rum_2 est introuvable.';
        END IF;
        RAISE NOTICE '%','Rafraichissement de la vue matérialisée pmsi.v_rss_rum_2';
        REFRESH MATERIALIZED VIEW pmsi.v_rss_rum_2
        ;
        ANALYSE pmsi.v_rss_rum_2
        ;

      RETURN 'OK';
      
  END;